#ifndef _SRC_UTILIB_CONFIG_H
#define _SRC_UTILIB_CONFIG_H 1
 
/* src/utilib_config.h. Generated automatically at end of configure. */
/* src/config.h.  Generated from config.h.in by configure.  */
/* src/config.h.in.  Generated from configure.ac by autoheader.  */


/*  _________________________________________________________________________
 *
 *  UTILIB: A utility library for developing portable C++ codes.
 *  Copyright (c) 2008 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the README file in the top UTILIB directory.
 *  _________________________________________________________________________
 */

/**
 * \file utilib_config.h
 *
 * A header file for UTILIB configuration options that is generated by
 * CMake.
 */

/* define if the Boost library is available */
#define UTILIB_HAVE_BOOST 1

/* define that mpi is being used */
/* #undef UTILIB_HAVE_MPI */

/* Define if you have the `clock' function. */
#define UTILIB_HAVE_CLOCK 1

/* Define if you have the `ftime' function. */
/* #undef UTILIB_HAVE_FTIME */

/* Define if you have the `getrusage' function. */
#define UTILIB_HAVE_GETRUSAGE 1 

/* Define if you have the `gettimeofday' function. */
#define UTILIB_HAVE_GETTIMEOFDAY 1

/* Define if you have the `localtime' function. */
#define UTILIB_HAVE_LOCALTIME 1

/* Define if you have the `nrand48' function. */
#define UTILIB_HAVE_NRAND48 1 

/* Define if you have the `sysconf' function. */
#define UTILIB_HAVE_SYSCONF 1

/* Define if you have the `times' function. */
#define UTILIB_HAVE_TIMES 1

/* Define if you have the <cxxabi.h> header file. */
/* #undef UTILIB_HAVE_CXXABI_H */

/* Define if you have the <dbghelp.h> header file. */
/* #undef UTILIB_HAVE_DBGHELP_H */

/* Define if you have the <err.h> header file. */
#define UTILIB_HAVE_ERR_H 1 

/* Define if you have the <execinfo.h> header file. */
#define UTILIB_HAVE_EXECINFO_H 1 

/* Define if you have the <expat.h> header file. */
/* #undef UTILIB_HAVE_EXPAT_H */

/* Define if you have the <float.h> header file. */
#define UTILIB_HAVE_FLOAT_H 1 

/* Define if you have the <limits.h> header file. */
#define UTILIB_HAVE_LIMITS_H 1 

/* Define if you have the <strings.h> header file. */
#define UTILIB_HAVE_STRINGS_H 1 

/* Define if you have the <sys/resource.h> header file. */
#define UTILIB_HAVE_SYS_RESOURCE_H 1 

/* Define if you have the <sys/time.h> header file. */
#define UTILIB_HAVE_SYS_TIME_H 1 

/* Define if you have the <unistd.h> header file. */
#define UTILIB_HAVE_UNISTD_H 1 

/* Define if you have the <values.h> header file. */
/* #undef UTILIB_HAVE_VALUES_H */

/* Define if you have the <windows.h> header file. */
/* #undef UTILIB_HAVE_WINDOWS_H */

/* define if the compiler supports exceptions */
#define UTILIB_HAVE_EXCEPTIONS 1 

/* define whether libm contains lround() */
#define UTILIB_HAVE_LROUND 1 

/* define if the compiler supports member templates */
#define UTILIB_HAVE_MEMBER_TEMPLATES 1 

/* define if the compiler implements namespaces */
#define UTILIB_HAVE_NAMESPACES 1 

/* define if the compiler has stringstream */
#define UTILIB_HAVE_SSTREAM 1 

/* define if the compiler supports ISO C++ standard library */
#define UTILIB_HAVE_STD 1 

/* Define if you have a TINYXML library. */
#define UTILIB_HAVE_TINYXML 1

/* special platform flag */
/* #undef UTILIB_NO_MEMBER_TEMPLATE_FRIENDS */

/* special platform flag */
/* #undef UTILIB_AIX_CC */

/* special platform flag */
/* #undef UTILIB_OSF_CC */

/* special platform flag */
/* #undef UTILIB_SGI_CC */

/* special platform flag */
/* #undef UTILIB_SOLARIS_CC */

/* Define to 1 if you have the ANSI C header files. */
#define UTILIB_STDC_HEADERS 1

/* Define to 1 if you can safely include both <sys/time.h> and <time.h>. */
#define UTILIB_TIME_WITH_SYS_TIME 1

#endif
